
# Team NEFU-China 2024 Wiki

> Updated at 2024/10/1

## Project Overview
This is the official wiki for Team NEFU-China in the iGEM 2024 competition. This project uses Python with Frozen-Flask to build a static wiki site.

## Building Locally

### 1. Install

> Before doing this, please make sure that: **Git, Python3 & Virtualenv** have been installed.

```shell
# clone the repository (with HTTPS)
# OR you can just download the source code and then extract it

git clone https://gitlab.igem.org/2024/nefu-china.git

# create Python Virtual Environment

cd nefu-china
python3 -m venv venv
. venv/bin/activate # on Linux, MacOS; or
. venv\Scripts\activate # on Windows

# install dependencies (only 'frozen-flask' in fact)

pip install -r dependencies.txt
```

### 2. Launch

```shell
python app.py
```

Then, you can visit the home page at `http://127.0.0.1:8080` or `http://localhost:8080`.

## File Structure

    |__ static/              -> Static assets (minified CSS & JS files) & some SVGs
    |__ wiki/                -> Main directory for the pages and layouts
        |__ footer.html
        |__ header.html
        |__ layout.html      -> Main layout
        |__ pages/           -> Directory for all the pages
            |__ *.html
    |__ .gitignore           -> Specifies which files/directories should be ignored
    |__ .gitlab-ci.yml       -> Automated flow for building, testing, and deploying
    |__ LICENSE              -> License CC-by-4.0
    |__ README.md            -> File containing the text you are reading right now
    |__ app.py               -> Python code managing your wiki
    |__ dependencies.txt     -> Software dependencies (e.g., Frozen-Flask)
```